ListWaitingWorkflowSteps
Lists the workflow steps in your AWS account that have paused at a
WaitForAction step, and are waiting for you to respond. To send
a response, call SendWorkflowStepAction.
Request Syntax
POST /ListWaitingWorkflowSteps HTTP/1.1
Content-type: application/json
{
"maxResults": number,
"nextToken": "string"
}
URI Request Parameters
The request does not use any URI parameters.
Request Body
The request accepts the following data in JSON format.
- maxResults
-
The maximum number of items to return in a single request.
Type: Integer
Valid Range: Minimum value of 1. Maximum value of 25.
Required: No
- nextToken
-
A token to specify where to start paginating. Use the
nextTokenvalue from a previously truncated response.Type: String
Length Constraints: Minimum length of 1. Maximum length of 65535.
Required: No
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"nextToken": "string",
"steps": [
{
"action": "string",
"imageBuildVersionArn": "string",
"name": "string",
"startTime": "string",
"stepExecutionId": "string",
"workflowBuildVersionArn": "string",
"workflowExecutionId": "string"
}
]
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- nextToken
-
The next token used for paginated responses. When this field isn't empty, there are additional elements that the service hasn't included in this request. Use this token with the next request to retrieve additional objects.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 65535.
- steps
-
An array of the workflow steps that are waiting for action in your AWS account. Each step is paused at a
WaitForActionstep, and remains in the list until you respond with SendWorkflowStepAction or the wait times out.Type: Array of WorkflowStepExecution objects
Errors
For information about the errors that are common to all actions, see Common Error Types.
- CallRateLimitExceededException
-
You have exceeded the permitted request rate for the Amazon EC2 APIs that Image Builder calls on your behalf. Retry with an increasing or variable delay between requests.
HTTP Status Code: 429
- ClientException
-
A generic client error. This error usually indicates that the request failed a validation check, such as when a downstream service rejects a configured value.
HTTP Status Code: 400
- ForbiddenException
-
You are not authorized to perform the requested operation.
HTTP Status Code: 403
- InvalidPaginationTokenException
-
You have provided an invalid pagination token in your request.
HTTP Status Code: 400
- InvalidRequestException
-
The request is malformed or otherwise invalid. Verify the request and try again.
HTTP Status Code: 400
- ServiceException
-
An internal server error occurred while Image Builder processed the request. Retrying the request may succeed.
HTTP Status Code: 500
- ServiceUnavailableException
-
The service is unable to process your request at this time.
HTTP Status Code: 503
Examples
List workflow steps that are waiting for an action
The following example lists the workflow steps in your account that are paused at a WaitForAction step, waiting for you to resume or stop the workflow with SendWorkflowStepAction.
Sample Request
POST /ListWaitingWorkflowSteps HTTP/1.1
Content-type: application/json
{
"maxResults": 25
}
Sample Response
HTTP/1.1 200
Content-type: application/json
{
"steps": [
{
"stepExecutionId": "step-8eb24d7a-036e-46b5-94a3-90a5d8b5ac4a",
"imageBuildVersionArn": "arn:aws:imagebuilder:us-west-2:111122223333:image/my-example-wait-recipe/1.0.0/1",
"workflowExecutionId": "wf-782460a6-8dc5-4262-90ff-0509eef0053c",
"workflowBuildVersionArn": "arn:aws:imagebuilder:us-west-2:111122223333:workflow/build/my-example-wait-workflow/1.0.0/1",
"name": "WaitForApproval",
"action": "WaitForAction",
"startTime": "2026-09-09T20:02:59.931Z"
}
]
}
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: